Description

Con un código tal que así:

# encoding: utf-8

import gvsig
from org.gvsig.expressionevaluator import ExpressionEvaluatorLocator
from org.gvsig.fmap.dal import DALLocator

def main(*args):
  exp = ExpressionEvaluatorLocator.getManager().createExpression()
  exp.setPhrase("")
  exp.isEmpty()

Salta un NullPointerExpcetion que hace referencia a linea 64 del DefaultExpression

        if( !StringUtils.isBlank(this.userScript.getCode()) ) {

Esto también está haciendo que el picker del expression no muestre bien el backgroud rojo cuando no es valida la expresión.

Associated revisions
Revision 44182 - 03/05/2019 02:59 PM - Joaquín  del Cerro Murciano

refs #5032, corregido un null pointer exception

History
#1 - 03/05/2019 03:01 PM - Óscar Martínez
- Status changed from New to Fixed
#2 - 04/01/2019 11:34 AM - Álvaro Anguix
- Status changed from Fixed to Closed
